<?php

// Resource routes  for demo
Route::group(['prefix' => set_route_guard('web').'/demo'], function () {
    Route::put('demo/workflow/{example}/{step}', 'DemoWorkflowController@putWorkflow');
    Route::get('demo/workflow/{example}/{step}/{user}', 'DemoWorkflowController@getWorkflow');
    Route::resource('demo', 'DemoResourceController');
});

// Public  routes for demo
Route::get('demo/workflow/{demo}/{step}/{user}', 'DemoController@getWorkflow');
Route::get('demo/popular/{period?}', 'DemoPublicController@popular');
Route::get('demos/', 'DemoPublicController@index');
Route::get('demos/{slug?}', 'DemoPublicController@show');

